| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Attributes
Tp::BaseCallback Class Reference
Utililty classes

Base class for all the callback classes. More...

`#include <TelepathyQt/Callbacks>`

Inherited by Tp::Callback2< BaseConnectionPtr, const QVariantMap &, DBusError * >, Tp::Callback2< QString, const QString &, DBusError * >, Tp::Callback2< QString, const QVariantMap &, DBusError * >, Tp::Callback3< QString, const QString &, const QString &, DBusError * >, Tp::Callback0< R >, Tp::Callback1< R, Arg1 >, Tp::Callback2< R, Arg1, Arg2 >, Tp::Callback3< R, Arg1, Arg2, Arg3 >, Tp::Callback4< R, Arg1, Arg2, Arg3, Arg4 >, Tp::Callback5< R, Arg1, Arg2, Arg3, Arg4, Arg5 >, Tp::Callback6< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6 >, and Tp::Callback7< R, Arg1, Arg2, Arg3, Arg4, Arg5, Arg6, Arg7 >.

List of all members.

## Public Member Functions

- BaseCallback ()
- BaseCallback (AbstractFunctorCaller *caller)
- BaseCallback (const BaseCallback &other)
- virtual ~BaseCallback ()
- bool isValid () const
- BaseCallback & operator= (const BaseCallback &other)

## Protected Attributes

- AbstractFunctorCaller * caller

## Detailed Description

Base class for all the callback classes.

See Callbacks Usage

## Constructor & Destructor Documentation

Tp::BaseCallback::BaseCallback | ( |  | ) | `[inline]`

Tp::BaseCallback::BaseCallback | ( | AbstractFunctorCaller * | caller | ) | `[inline]`

Tp::BaseCallback::BaseCallback | ( | const BaseCallback & | other | ) | `[inline]`

virtual Tp::BaseCallback::~BaseCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

bool Tp::BaseCallback::isValid | ( |  | ) | const`[inline]`

Return whether this callback object has a valid functor assigned to it or if it's a default-constructed dummy callback object.

Returns:
  `false` if this is a default-constructed callback or `true` if this callback was constructed from a functor.

BaseCallback& Tp::BaseCallback::operator= | ( | const BaseCallback & | other | ) | `[inline]`

## Member Data Documentation

AbstractFunctorCaller* Tp::BaseCallback::caller`[protected]`